Request

Endpoint: !AutoUpdateDCV

https://secure.trust-provider.com/products/!AutoUpdateDCV

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The account username.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

orderNumber

conditional

integer

The order number for which you want to update the domain control validation method.

Either orderNumber or baseOrderNumber must be provided.

baseOrderNumber

conditional

integer

The base order number previously returned to your account.

Either orderNumber or baseOrderNumber must be provided.

domainName

conditional

string

255 chars

The fully qualified domain name (FQDN).

This parameter is not required for single domain orders or for multi domain orders if the domainNames parameter is provided.

newMethod

conditional

string

32 chars

The selected method for domain control validation.

The allowed values are:

  • EMAIL — Update email address.

  • HTTP_CSR_HASH — Change the mechanism of the domain to HTTP DCV.

  • HTTPS_CSR_HASH — Change the mechanism of the domain to HTTPS DCV.

  • CNAME_CSR_HASH — Change the mechanism of the domain to DNS CNAME DCV.

This parameter is not required for multi domain orders if the newMethods parameter is provided.

newDCVEmailAddress

conditional

string

255 chars

The selected email address for Domain Control Validation.

If specified, this email address must be an acceptable email address with which to perform Domain Control Validation (DCV) for this certificate.

For more information, see GetDCVEmailAddressList.

This parameter is only required if the parameter newMethod has been set to EMAIL.

This parameter is not required for multi domain orders if the newDCVEmailAddresses parameter is provided.

dcvTemplateID

optional

integer

If specified, this overrides Sectigo’s default choice of DCV email template to be used to validate this certificate.

Talk to your account manager if you want to set up one or more of your own DCV email templates that can be referenced by this parameter.

Not relevant for VMC/CMC products.

domainNames

conditional

string

255 chars

The space-separated FQDNs to be updated.

This parameter is only required for multi-domain certificates.

newMethods

conditional

string

32 chars

The selected method for domain control validation.

The allowed values are:

  • EMAIL — Update email address.

  • HTTP_CSR_HASH — Change the mechanism of the domain to HTTP DCV.

  • HTTPS_CSR_HASH — Change the mechanism of the domain to HTTPS DCV.

  • CNAME_CSR_HASH — Change the mechanism of the domain to DNS CNAME DCV.

The constraints of this parameter are:

  • This parameter accepts a space-separated list of methods for each of the FQDNs provided in the domainNames parameter.

  • This parameter is only required for multi-domain certificates.

  • The number and order of the FQDNs provided in the domainNames parameter must match the number and order of the methods provided in this parameter.

newDCVEmailAddresses

conditional

string

255 chars

The selected email addresses for multi-domain control validation.

If specified, these email addresses must be acceptable email addresses with which to perform domain control validation (DCV) for this certificate.

The constraints of this parameter are:

  • This parameter is only required if the parameter newMethods has included EMAIL for any of the FQDNs provided in the domainNames parameter.

  • This parameter accepts a space-separated list of email addresses for each of the FQDNs provided in the domainNames parameter.

  • The number of the provided email addresses should match the number of the methods provided in the newMethods parameters set to EMAIL.

  • The order of the provided email addresses must match the order of the FQDNs provided in the domainNames parameter for which new method has been set to EMAIL.

  • This parameter is only relevant for multi-domain certificates.

Sample request

Single domain certificate

curl --location 'https://secure.trust-provider.com/products/!AutoUpdateDCV' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'domainName=domain_name' \
--data-urlencode 'newMethod=new_method'

Multi-domain certificate

curl --location 'https://secure.trust-provider.com/products/!AutoUpdateDCV' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'domainNames=test-1.ca test-2.ca test-3.ca' \
--data-urlencode '[email protected] [email protected] [email protected]' \
--data-urlencode 'newMethods=EMAIL EMAIL EMAIL'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

The response is formatted in x-www-form-urlencoded format.

If the order number provided has already been issued, the following error message will be returned:

The value of the 'orderNumber' argument is invalid!

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

A numeric code that identifies the type of error. For more information, see Error codes.

errorMessage

A description of the error.

Sample success response

errorCode=0

Sample error response

errorCode=-4&errorMessage=The+value+of+the+%27orderNumber%27+argument+is+invalid%21&errorItem=orderNumber

Error codes

The following table outlines error responses returned by the AutoUpdateDCV API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

Authentication has failed due to one of the specified reasons.

Verify your login credentials or check account restrictions.

-17

Request used GET rather than POST!

The request method should be POST.

-47

domainName is already validated!

The domain name has already been validated.

-90

Permission denied for using 'voucher' with 'xxxx'

The user does not have permission because the voucher cannot be used with the specified value.

-126

HTTP(S) CSR Hash DCV Methods are not allowed to validate Wildcard Domain!

The request is not allowed to validate wildcard domains using HTTP(S) CSR Hash DCV methods.

-139

Unexpected certificate state!

The certificate is in an unexpected state.

-160

The attempt to update the DCV method(s) did not succeed.

The update of the DCV method(s) was unsuccessful.